ZZIP_FILE_CLOSE(3)

NAME
zzip_file_close - end usage.

SYNOPSIS

#include <zzip/lib.h>

int zzip_file_close((ZZIP_FILE * fp));

DESCRIPTION

The zzip_file_close function is the direct call of zzip_close(fp). It will cleanup the inflate-portion of zlib and free the structure given.

it is called quite from the error-cleanup parts of the various _open functions.

the .refcount is decreased and if zero the fp->dir is closed just as well.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <Tomi.Ollila@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)